*** 'xxx' needs to be replaced with the first three letters of the country.

************** BETWEEN SQHEAD AND SFORM ***************.
GET
  FILE='C:\WinDem\SACMEQ2\xxx\shq_xxx.SAV'.
EXECUTE .

compute idschool=school.
formats idschool (f10.0).

compute enrtot= spupboy +spupgirl.
formats enrtot (f6.0).

compute enr6tot= spupboy6+ spupgir6.
formats enr6tot (f5.0).

sort cases by idschool (a).

save OUTFILE='C:\WinDem\SACMEQ2\xxx\shqtemp.sav' /keep idschool 
  enrtot  enr6tot   sclass6.

GET
  FILE='C:\WinDem\SACMEQ2\xxx\sf_xxx.SAV'.
EXECUTE .

compute idschool=school.
formats idschool (f10.0).

sort cases by idschool (a).

AGGREGATE
  /OUTFILE='C:\WinDem\SACMEQ2\xxx\sfagg.SAV'
  /BREAK=idschool
  /enrol = MEAN(sfenrol) /pupg6 = MEAN(sfpupg6) /classg6 = MEAN(sfclag6)
 /pupg6sum = SUM(sfpup)
  /N_BREAK=N.

GET
  FILE='C:\WinDem\SACMEQ2\xxx\shqtemp.SAV'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='C:\WinDem\SACMEQ2\xxx\sfagg.sav'
 /BY idschool.
EXECUTE.

USE ALL.
COMPUTE filter_$=(enrtot  ~= enrol).
VARIABLE LABEL filter_$ 'enrtot   ~= enrol (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool enrtot enrol 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .

GET
  FILE='C:\WinDem\SACMEQ2\xxx\shqtemp.SAV'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='C:\WinDem\SACMEQ2\xxx\sfagg.sav'
 /BY idschool.
EXECUTE.

USE ALL.
COMPUTE filter_$=(enr6tot ~= pupg6 or enr6tot ~= pupg6).
VARIABLE LABEL filter_$ 'enr6tot ~= pupg6 or enr6tot ~= pupg6  (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool enr6tot pupg6 pupg6sum n_break1 n_break2
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .

GET
  FILE='C:\WinDem\SACMEQ2\xxx\shqtemp.SAV'.
EXECUTE .

MATCH FILES /FILE=*
 /FILE='C:\WinDem\SACMEQ2\xxx\sfagg.sav'
 /BY idschool.
EXECUTE.

USE ALL.
COMPUTE filter_$=(sclass6 ~= classg6 or sclass6 ~= n_break or classg6 ~=
  n_break).
VARIABLE LABEL filter_$ 'sclass6 ~= classg6 or sclass6 ~= n_break or classg6'+
 ' ~= n_break (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=idschool sclass6 classg6 n_break
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .

GET
  FILE='C:\WinDem\SACMEQ2\xxx\sf_xxx.SAV'.
EXECUTE .


