*** 'xxx' needs to be replaced with the first three letters of the country.

GET
  FILE='C:\WinDem\SACMEQ2\xxx\pb_xxx.SAV'.
EXECUTE .

USE ALL.
COMPUTE filter_$=(school ~= sch_rept).
VARIABLE LABEL filter_$ 'school ~= sch_rept (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district school sch_rept pupil
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='xxx SCHOOL vs. SCH_REPT -- Pupil Booklet'
  /MISSING=VARIABLE
  /CELLS=COUNT .

GET
  FILE='C:\WinDem\SACMEQ2\xxx\tb_xxx.SAV'.
EXECUTE .

USE ALL.
COMPUTE filter_$=(school ~= sch_rept).
VARIABLE LABEL filter_$ 'school ~= sch_rept (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district school sch_rept idteach
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='xxx SCHOOL vs. SCH_REPT -- Teacher Booklet'
  /MISSING=VARIABLE
  /CELLS=COUNT .

GET
  FILE='C:\WinDem\SACMEQ2\xxx\shq_xxx.SAV'.
EXECUTE .

USE ALL.
COMPUTE filter_$=(school ~= sch_rept).
VARIABLE LABEL filter_$ 'school ~= sch_rept (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district school sch_rept  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='xxx SCHOOL vs. SCH_REPT -- School Head Questionnaire'
  /MISSING=VARIABLE
  /CELLS=COUNT .

GET
  FILE='C:\WinDem\SACMEQ2\xxx\sf_xxx.SAV'.
EXECUTE .

USE ALL.
COMPUTE filter_$=(school ~= sch_rept).
VARIABLE LABEL filter_$ 'school ~= sch_rept (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district school sch_rept sfclass 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='xxx SCHOOL vs. SCH_REPT -- School Form'
  /MISSING=VARIABLE
  /CELLS=COUNT .

GET
  FILE='C:\WinDem\SACMEQ2\xxx\pnf_xxx.SAV'.
EXECUTE .

USE ALL.
COMPUTE filter_$=(school ~= sch_rept).
VARIABLE LABEL filter_$ 'school ~= sch_rept (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=region district school sch_rept pfpupil 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='xxx SCHOOL vs. SCH_REPT -- Pupil Name Form'
  /MISSING=VARIABLE
  /CELLS=COUNT .

