*** 'xxx' must be replaced with the first three letters of the country.

GET
  FILE='C:\WinDem\SACMEQ2\xxx\pb_xxx.SAV'.
EXECUTE .

compute idschool=school.
formats idschool (f10.0).

FILTER OFF.
USE ALL.
SELECT IF(pborrow = 1).
EXECUTE .

sort cases by idschool (a).

AGGREGATE
  /OUTFILE='C:\WinDem\SACMEQ2\xxx\borrow1.SAV'
  /BREAK=idschool
  /BREAK1=N.

GET
  FILE='C:\WinDem\SACMEQ2\xxx\pb_xxx.SAV'.
EXECUTE .

compute idschool=school.
formats idschool (f10.0).

FILTER OFF.
USE ALL.
SELECT IF(pborrow = 2).
EXECUTE .

sort cases by idschool (a).

AGGREGATE
  /OUTFILE='C:\WinDem\SACMEQ2\xxx\borrow2.SAV'
  /BREAK=idschool
  /BREAK2=N.

GET
  FILE='C:\WinDem\SACMEQ2\xxx\pb_xxx.SAV'.
EXECUTE .

compute idschool=school.
formats idschool (f10.0).

FILTER OFF.
USE ALL.
SELECT IF(pborrow = 3).
EXECUTE .

sort cases by idschool (a).

AGGREGATE
  /OUTFILE='C:\WinDem\SACMEQ2\xxx\borrow3.SAV'
  /BREAK=idschool
  /BREAK3=N.

GET
  FILE='C:\WinDem\SACMEQ2\xxx\pb_xxx.SAV'.
EXECUTE .

compute idschool=school.
formats idschool (f10.0).

FILTER OFF.
USE ALL.
SELECT IF(missing(pborrow)).
EXECUTE .

sort cases by idschool (a).

AGGREGATE
  /OUTFILE='C:\WinDem\SACMEQ2\xxx\borrow0.SAV'
  /BREAK=idschool
  /BREAK0=N.

GET
  FILE='C:\WinDem\SACMEQ2\xxx\shq_xxx.SAV'.
EXECUTE .

compute idschool=school.
formats idschool (f10.0).

sort cases by idschool (a).

MATCH FILES /FILE=*
 /FILE='C:\WinDem\SACMEQ2\xxx\borrow1.SAV'
 /FILE='C:\WinDem\SACMEQ2\xxx\borrow2.SAV'
 /FILE='C:\WinDem\SACMEQ2\xxx\borrow3.SAV'
 /FILE='C:\WinDem\SACMEQ2\xxx\borrow0.SAV'
 /BY idschool.
EXECUTE.

SUMMARIZE
  /TABLES=idschool sborrow break1 break2 break3 break0
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .
